<<

# Bugzilla::Install::DB

- NAME
- SYNOPSIS
- DESCRIPTION
- SUBROUTINES

# NAME

Bugzilla::Install::DB - Fix up the database during installation.

# SYNOPSIS

     use Bugzilla::Install::DB qw(indicate_progress);
     Bugzilla::Install::DB::update_table_definitions();

     indicate_progress({ total => $total, current => $count, every => 10 });

# DESCRIPTION

This module is used primarily by checksetup.pl to modify the database during upgrades.

# SUBROUTINES

`update_table_definitions()`

  Description: This is the primary code that updates table definitions during upgrades. If you modify the schema in some way, you should add code to the end of this function to make sure that your modifications happen over all installations.

  Params: none

  Returns: nothing

`update_fielddefs_definition()`

  Description: checksetup.pl depends on the fielddefs table having its schema adjusted before the rest of the tables. So these schema updates happen in a separate function from "update_table_definitions()".

  Params: none

  Returns: nothing

<<